package com.simuwang.daq.service;

import cn.hutool.core.util.StrUtil;
import com.simuwang.base.common.util.NavDataUtil;
import com.simuwang.base.common.util.StringUtil;
import com.simuwang.base.pojo.dto.EmailContentInfoDTO;
import com.simuwang.base.pojo.dto.EmailFundNavDTO;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.List;
import java.util.Map;

public abstract class AbstractEmailParser {

    public boolean isSupport(Integer emailType) {
        return false;
    }

    public abstract List<EmailFundNavDTO> parse(EmailContentInfoDTO emailContentInfoDTO, Map<String, List<String>> emailFieldMap);

    public boolean dataFormat(EmailFundNavDTO fundNavDTO) {
        return NavDataUtil.navDataFormatCheck(fundNavDTO);
    }
}
